ProjectReportsPluginConvention (Gradle API 2.14.1)
Date: 2016-07-18

Package: org.gradle.api.plugins

## [Java] Class ProjectReportsPluginConvention

- org.gradle.api.plugins.ProjectReportsPluginConvention

- The conventional configuration for the `ProjectReportsPlugin`.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `ProjectReportsPluginConvention (Project project)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `File` | `getProjectReportDir()` Returns the directory to generate the project reports into.
    `String` | `getProjectReportDirName()` The name of the directory to generate the project reports into, relative to the project's reports dir.
    `Set<Project>` | `getProjects()`
    `void` | `setProjectReportDirName(String projectReportDirName)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class groovy.lang.GroovyObjectSupport` | `groovy.lang.GroovyObjectSupport#setProperty(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#getProperty(java.lang.String), groovy.lang.GroovyObjectSupport#invokeMethod(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#setMetaClass(groovy.lang.MetaClass), groovy.lang.GroovyObjectSupport#getMetaClass(), groovy.lang.GroovyObjectSupport#wait(long, int), groovy.lang.GroovyObjectSupport#wait(long), groovy.lang.GroovyObjectSupport#wait(), groovy.lang.GroovyObjectSupport#equals(java.lang.Object), groovy.lang.GroovyObjectSupport#toString(), groovy.lang.GroovyObjectSupport#hashCode(), groovy.lang.GroovyObjectSupport#getClass(), groovy.lang.GroovyObjectSupport#notify(), groovy.lang.GroovyObjectSupport#notifyAll()`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public ProjectReportsPluginConvention(Project project)

  - ### Method Detail

    - #### public File getProjectReportDir()

      Returns the directory to generate the project reports into.

    - #### public String getProjectReportDirName()

      The name of the directory to generate the project reports into, relative to the project's reports dir.

    - #### public Set<Project> getProjects()

    - #### public void setProjectReportDirName(String projectReportDirName)